﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Silanis.ESL.SDK;
using Silanis.ESL.SDK.Builder;
using System.Globalization;
using System.Diagnostics;

namespace esl
{
    class PackageLanguageConfig
    {
        public static void start()
        {

            EslClient eslClient = new EslClient(Properties.Settings.Default.key, Properties.Settings.Default.url);

            DocumentPackage superDuperPackage = PackageBuilder.NewPackageNamed("Package Language Example")
               .DescribedAs("This is a package created using the eSignLive SDK")
               .WithLanguage(new CultureInfo("fr"))
                   .ExpiresOn(DateTime.Now.AddMonths(1))
                   .WithEmailMessage("This message should be delivered to all signers")
                   .WithSigner(SignerBuilder.NewSignerWithEmail("mail30@mailinator.com")
                               .WithFirstName("John")
                               .WithLastName("Smith"))
                   .WithDocument(DocumentBuilder.NewDocumentNamed("First Document")
                                 .FromFile("C:/Users/hhaidary/Desktop/PDFs/doc1.pdf")
                                 .WithSignature(SignatureBuilder.SignatureFor("mail30@mailinator.com")
                                  .OnPage(0)
                                  .AtPosition(100, 100)
                                  .WithField(FieldBuilder.TextField()
                              .OnPage(0)
                              .AtPosition(400, 100)
                              .WithSize(200, 50))))
                   .Build();

            PackageId packageId = eslClient.CreatePackage(superDuperPackage);

            Debug.WriteLine(packageId);
        }
    }
}
